---
title: List additional audio tracks on a video
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Stream](https://developers.cloudflare.com/api/python/resources/stream)

[Audio Tracks](https://developers.cloudflare.com/api/python/resources/stream/subresources/audio_tracks)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List additional audio tracks on a video

stream.audio\_tracks.get(stridentifier, AudioTrackGetParams\*\*kwargs) -> [AudioTrackGetResponse](<https://developers.cloudflare.com/api/python/resources/stream#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio_track_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/stream/{identifier}/audio

Lists additional audio tracks on a video. Note this API will not return information for audio attached to the video upload.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Stream Write``Stream Read`

##### ParametersExpand Collapse

account\_id: str

The account identifier tag.

maxLength32

[Link to this property](<#(resource)%20stream.audio_tracks%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

identifier: str

A Cloudflare-generated unique identifier for a media item.

maxLength32

[Link to this property](<#(resource)%20stream.audio_tracks%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20identifier%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class AudioTrackGetResponse: …

</summary>

<details>

<summary>

audio: Optional\[List\[<a href="https://developers.cloudflare.com/api/python/resources/stream#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio%20%3E%20(schema)">Audio</a>]]

Array of audio tracks for the video.

</summary>

default: Optional\[bool]

Denotes whether the audio track will be played by default in a player.

<a href="#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio%20%3E%20(schema)%20%3E%20(property)%20default">Link to this property</a>

label: Optional\[str]

A string to uniquely identify the track amongst other audio track labels for the specified video.

<a href="#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio%20%3E%20(schema)%20%3E%20(property)%20label">Link to this property</a>

<details>

<summary>

status: Optional\[Literal\["queued", "ready", "error"]]

Specifies the processing status of the video.

</summary>

One of the following:

"queued"

<a href="#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"ready"

<a href="#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"error"

<a href="#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

uid: Optional\[str]

A Cloudflare-generated unique identifier for a media item.

maxLength32

<a href="#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio%20%3E%20(schema)%20%3E%20(property)%20uid">Link to this property</a>

</details>

<a href="#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio_track_get_response%20%3E%20(schema)%20%3E%20(property)%20audio">Link to this property</a>

</details>

[Link to this property](<#(resource)%20stream.audio_tracks%20%3E%20(model)%20audio_track_get_response%20%3E%20(schema)>)

### List additional audio tracks on a video

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
audio_track = client.stream.audio_tracks.get(
    identifier="ea95132c15732412d22c1476fa83f27a",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(audio_track.audio)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "audio": [
      {
        "default": true,
        "label": "director commentary",
        "status": "queued",
        "uid": "ea95132c15732412d22c1476fa83f27a"
      }
    ]
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "audio": [
      {
        "default": true,
        "label": "director commentary",
        "status": "queued",
        "uid": "ea95132c15732412d22c1476fa83f27a"
      }
    ]
  }
}
```